<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: adcnvvars.php 1238 2005-01-17 17:28:53Z andrew $
*/

// Figure out our location
define ('phpAds_path', '.');

// Include required files
require_once phpAds_path . '/config.inc.php'; 
if ($phpAds_config['benchmark'] == 'true') {
    require_once(phpAds_path . '/libraries/pear/Benchmark/Timer.php');
    $timer = new Benchmark_Timer();
    $timer->start();
}
require_once phpAds_path . '/libraries/lib-log.inc.php';

// Register input variables
if (!empty($_GET['server_raw_tracker_impression_id']) && !empty($_GET['trackerid'])) {
    $serverRawTrackerImpressionId = $_GET['server_raw_tracker_impression_id'];
    $serverRawIp                  = $_GET['server_raw_ip'];
    $trackerId                    = $_GET['trackerid'];
    logVariableValues($trackerId, $serverRawTrackerImpressionId, $serverRawIp);
}
if ($phpAds_config['benchmark']) {
    $timer->stop();
    logBenchmark(basename($_SERVER['SCRIPT_FILENAME']), $_SERVER['QUERY_STRING'], $timer->timeElapsed());
}

?>
